--- title: "Get Top Endpoint Executables" slug: "get-top-endpoint-executables-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-top-endpoint-executables-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Top Endpoint Executables ### Get Top Endpoint Executables ### Get Top Endpoint Executables ### Get Top Endpoint Executables ### Get Top Endpoint Executables ### Get Top Endpoint Executables This URL retrieves the top endpoint executables. GET /alerts/TopN/endpoint_executables URL Parameters: None Payload Request Parameters: None Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `duration` | Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be: - LAST_5_MINUTES - LAST_1_HOUR - LAST_6_HOURS - LAST_12_HOURS - LAST_24_HOURS - LAST_48_HOURS - LAST_7_DAYS - LAST_14_DAYS | String | No | | `counttype` | Allowed values are: - attackCount - endpointcount Default value is endpointcount. | String | No | | `confidencetype` | Confidence type can be: - malwareConfAny - malwareConfHigh Default value is malwareConfHigh. | String | No | | `classificationtype` | Allowed values are: - any - block - allow - unclassified Default value is any. | String | No | Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `TopEndExecutablesList` | List of the top endpoint executables | Array | Details of fields in TopEndpointExecutablesList: | Field Name | Description | Data Type | | --- | --- | --- | | name | Executable name | String | | fileHash | File hash | String | | count | Endpoint count | Number | **Request** GET [https:///sdkapi/alerts/TopN/endpoint_executables?duration=LAST_14_DAYS](https://<NSM_IP>/sdkapi/alerts/TopN/endpoint_executables?duration=LAST_14_DAYS%20) **Response** None **Response** ```    {       "TopEndpointExecutablesList":[]    } ``` Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error | | 2 | 400 | 3601 | Invalid duration |